Skip to content

Get entity extraction job status or result

GET
/entities/extractions/{id}

Retrieves the current status and, if completed, the result of a previously submitted entity extraction job. Source-finding job IDs are not accepted on this endpoint.

Authorizations

apiKeyAuth

API key passed in the CP-X-API-KEY header.

Type
API Key (header: CP-X-API-KEY)

Parameters

Path Parameters

id*

Job ID returned by POST /entities/extractions

Type
string
Required
Format
"uuid"

Responses

Entity extraction job status or result

application/json
JSON
{
  
"data": {
  
  
"id": "string",
  
  
"status": "string",
  
  
"created_at": "string",
  
  
"started_at": "string",
  
  
"completed_at": "string",
  
  
"error": "string",
  
  
"result": {
  
  
  
"entities": [
  
  
  
  
{
  
  
  
  
  
"name": "string",
  
  
  
  
  
"canonical_name": "string",
  
  
  
  
  
"type": "string",
  
  
  
  
  
"official_domains": [
  
  
  
  
  
  
"string"
  
  
  
  
  
],
  
  
  
  
  
"official_x_accounts": [
  
  
  
  
  
  
"string"
  
  
  
  
  
]
  
  
  
  
}
  
  
  
]
  
  
}
  
}
}

Playground

Authorization
Variables
Key
Value

Samples